import matplotlib.pyplot as plt
numargs = truncexpon.numargs
[ b ] = [0.9,] * numargs
rv = truncexpon(b)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = truncexpon.cdf(x, b)
h = plt.semilogy(np.abs(x - truncexpon.ppf(prb, b)) + 1e-20)

# Random number generation

R = truncexpon.rvs(b, size=100)
